For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
        • GETList Test Cases
        • POSTUpsert Test Cases
        • STREAMBulk Update Test Cases
        • DELDelete Test Case
LogoLogo
BlogLog InRequest Demo
Client SDKTest SuitesTest Cases

Bulk Update Test Cases

Beta
POST
https://api.vellum.ai/v1/test-suites/:id/test-cases-bulk
POST
/v1/test-suites/:id/test-cases-bulk
1import requests
2
3url = "https://api.vellum.ai/v1/test-suites/id/test-cases-bulk"
4
5payload = "[\n {\n \"id\": \"string\",\n \"type\": \"CREATE\",\n \"data\": {\n \"input_values\": [\n {\n \"type\": \"STRING\",\n \"value\": \"string\",\n \"name\": \"string\"\n }\n ],\n \"evaluation_values\": [\n {\n \"type\": \"STRING\",\n \"value\": \"string\",\n \"name\": \"string\"\n }\n ]\n }\n }\n]"
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/x-ndjson"
9}
10
11response = requests.post(url, data=payload, headers=headers)
12
13print(response.json())
Streamed response
Created, replace, and delete Test Cases within the specified Test Suite in bulk
Was this page helpful?
Previous

Delete Test Case

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Test Suites' ID or its unique name

Headers

X-API-VersionstringOptional

Request

This endpoint expects a list of objects.
CREATEobjectRequired
OR
REPLACEobjectRequired
OR
UPSERTobjectRequired
OR
DELETEobjectRequired

Response

CREATEDobject
OR
REPLACEDobject
OR
DELETEDobject
OR
REJECTEDobject